Subject: Re: linux-next: ide tree build failure

From: Borislav Petkov <[email-masked]>
Date: Tue, 12 Aug 2008 09:36:19 +0200

On Tue, Aug 12, 2008 at 11:18:01AM +1000, Stephen Rothwell wrote:
> Hi Bart,
> 
> The linux-next build for 20080808 and later failed like this (on at least
> sparc, mips and m68k):
> 
> drivers/ide/ide-floppy.c:223: error: implicit declaration of function `sg_page'
> drivers/ide/ide-floppy.c:232: error: implicit declaration of function `sg_virt'
> drivers/ide/ide-floppy.c:242: error: implicit declaration of function `sg_next'
> 
> Caused by commit 788fc238e7b95dae0ff1e2e7c97351289277deea ("ide-floppy:
> use scatterlists for pio transfers") which intrduced usages of the sg_
> routines but did not include <linux/scatterlist.h>.

Thanks and sorry about that. I am pretty sure I did include it but probably in
an older version of the patch and forgot to refresh it before sending. Bart, can
you please add the include-line?

> 
> I will add an include of <linux/scatterlist.h> near the top of
> drivers/ide/ide-floppy.c in linux-next today.  It would be good if the
> above patch was fixed up, or another patch added to the ide tree fixing
> this.

-- 
Regards/Gruss,
    Boris.